import java.awt.*;
import java.applet.*;
import java.net.*;

public class ConnectApplet3 extends Applet
{
    boolean badURL;

    public void init()
    {
        GridLayout layout = new GridLayout(2, 4, 10, 10);
        setLayout(layout);

        Font font = new Font("TimesRoman", Font.PLAIN, 24);
        setFont(font);

        Button button = new Button("Sun");
        add(button);
        button = new Button("Netscape");
        add(button);
        button = new Button("Microsoft");
        add(button);
        button = new Button("Macmillan");
        add(button);
        button = new Button("Time");
        add(button);
        button = new Button("CNet");
        add(button);
        button = new Button("Borland");
        add(button);
        button = new Button("Yahoo");
        add(button);

        badURL = false;
    }

    public void paint(Graphics g)
    {
        if (badURL)
            g.drawString("Bad URL!", 60, 130);
    }

    public boolean action(Event evt, Object arg)
    {
        String str;

        if (arg == "Sun")
            str = "http://www.sun.com";
        else if (arg == "Netscape")
            str = "http://www.netscape.com";
        else if (arg == "Microsoft")
            str = "http://www.microsoft.com";
        else if (arg == "Macmillan")
            str = "http://www.mcp.com";
        else if (arg == "Time")
            str = "http://www.pathfinder.com";
        else if (arg == "CNet")
            str = "http://www.cnet.com";
        else if (arg == "Borland")
            str = "http://www.borland.com";
        else
            str = "http://www.yahoo.com";
        try
        {
            URL url = new URL(str);
            AppletContext context = getAppletContext();
            context.showDocument(url);
        }
        catch (MalformedURLException e)
        {
            badURL = true;
            repaint();
        }
        
        return true;
    }
}

