import java.applet.Applet;
import java.applet.AppletContext;
import java.awt.Button;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.TextField;
import java.net.MalformedURLException;
import java.net.URL;

public class ConnectApplet extends Applet {
   TextField textField;
   boolean badURL;

   public void init() {
      this.textField = new TextField("", 40);
      Button var1 = new Button("Connect");
      ((Container)this).add(this.textField);
      ((Container)this).add(var1);
      this.badURL = false;
   }

   public void paint(Graphics var1) {
      Font var2 = new Font("TimesRoman", 0, 24);
      var1.setFont(var2);
      int var3 = var2.getSize();
      if (this.badURL) {
         var1.drawString("Bad URL!", 60, 130);
      } else {
         var1.drawString("Type the URL to which", 25, 130);
         var1.drawString("you want to connect,", 25, 130 + var3);
         var1.drawString("and then click the Connect", 25, 130 + var3 * 2);
         var1.drawString("button.", 25, 130 + var3 * 3);
      }
   }

   public boolean action(Event var1, Object var2) {
      String var3 = this.textField.getText();

      try {
         URL var4 = new URL(var3);
         AppletContext var5 = ((Applet)this).getAppletContext();
         var5.showDocument(var4);
      } catch (MalformedURLException var6) {
         this.badURL = true;
         ((Component)this).repaint();
      }

      return true;
   }
}
